org.apache.ignite

## Interface DataRegionMetricsProvider

    public interface DataRegionMetricsProvider

This interface provides calculated metrics for data region.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `emptyDataPages()` Calculates empty data pages count for region.
`long` `partiallyFilledPagesFreeSpace()` Calculates free space of partially filled pages for this data region.

### Method Detail

#### partiallyFilledPagesFreeSpace

    long partiallyFilledPagesFreeSpace()

Calculates free space of partially filled pages for this data region. It does not include empty data pages.

Returns:
  free space in bytes.

#### emptyDataPages

    long emptyDataPages()

Calculates empty data pages count for region. It counts only totally free pages that can be reused (e. g. pages that are contained in reuse bucket of free list).

Returns:
  empty data pages count.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023